Выполнение произвольного PHP кода в phpScheduleIt

Дата публикации:
06.10.2008
Дата изменения:
06.10.2008
Всего просмотров:
1121
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpScheduleIt 1.x
Уязвимые версии: phpScheduleIt 1.2.10, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "start_date" в сценарии reserve.php перед вызовом функции "eval()". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: sourceforge.net/projects/phpscheduleit/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: phpScheduleIt <= 1.2.10 (reserve.php) Remote Code Execution Exploit

или введите имя

CAPTCHA